import 'package:flutter/material.dart';
import 'dart:async';

import 'package:file_permission_manager/file_permission_manager.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _permissionState = 'Unknown';

  @override
  void initState() {
    super.initState();
    initPlatformState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    PermissionStatus permissionState =
        await FilePermissionHandler().hasFileSystemPermission();

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _permissionState = "${permissionState.toString()}";
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Running on: $_permissionState\n'),
        ),
        floatingActionButton: FloatingActionButton(onPressed: () {
           FilePermissionHandler().requestFileSystemPermission().then((state) {
             setState(() {
               _permissionState = "${state.toString()}";
             });
           });
        }),
      ),
    );
  }
}
